0

I am trying to install libwebsockets into my RPi.

I used the wget http://git.warmcat.com/cgi-bin/cgit/libwebsockets/snapshot/libwebsockets-1.3-chrome37-firefox30.tar.gz to download the file.

but when I try to unzip it I get the error:

gzip: stdin: not in gzip format
tar: Child returned status 1
tar: Error is not recoverable: exiting now

I have tried

tar -xvzf libwebsockets-1.22-chrome26-firefox18.tar.gz 

and

tar xf libwebsockets-1.22-chrome26-firefox18.tar.gz 

I have tried to unzip separeted:

gunzip libwebsockets-1.22-chrome26-firefox18.tar.gz 
tar xf libwebsockets-1.22-chrome26-firefox18.tar

What would be my option to have that file and keep my installation?

The tutorial I am following: http://goochgooch.co.uk/2014/08/01/building-mosquitto-1-4/

  • Have you checked the actual file type? It could just be an html file with an error message. Try the file command with the .gz filename as the parameter – Dirk Feb 15 at 17:24
  • It showed libwebsockets-1.22-chrome26-firefox18.tar.gz: HTML document, ASCII text. What should I do? – Thiago Farias Feb 15 at 17:29
  • As I said: it may contain an error msg. Open the file in a text editor and see what it says. Next action depends on what's in the file. BTW: that tutorial is quite old and I don't think it was recently updated, so links, etc may be invalid by now. If I open the link to the file I don't get a file download. And are you trying to build an old version of mosquitto? AFAIK current versions support web sockets already. – Dirk Feb 15 at 17:49
  • that url redirects to https://warmcat.com/git/ a web page .. wget even tells you that – Jaromanda X Feb 15 at 22:21
  • You are right Dirk, current versions support web sockets already. – Thiago Farias Feb 26 at 21:41

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.